Metaplanet Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/metaplanet-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1767052800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://contents.xj-storage.jp/xcontents/33500/4a51c54b/ec98/4363/bc59/64c440d858e3/140120251229527957.pdf",
    "holding_balance": 35102.0,
    "holding_net_change": 4279.0,
    "transaction_value_usd": 447865086.57,
    "average_entry_value_usd": 104665.83,
    "transaction_value_calculated": false
  },
  {
    "date": 1775088000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://metaplanet.jp/disclosure/en/20260402T160721Z-_4_2_2026__-_Notice_of_Additional_Purchase_of_Bitcoin___2_.pdf",
    "holding_balance": 40177.0,
    "holding_net_change": 5075.0,
    "transaction_value_usd": 339631129.25,
    "average_entry_value_usd": 15.49,
    "transaction_value_calculated": true
  },
  {
    "date": 1782950400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://contents.xj-storage.jp/xcontents/33500/ef8f0fb6/d3f6/44c3/aafb/fbe407834e59/140120260702587030.pdf",
    "holding_balance": 43000.0,
    "holding_net_change": 2823.0,
    "transaction_value_usd": 221827416.03,
    "average_entry_value_usd": 78578.61,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    40177.0
  ],
  [
    1782950400000,
    43000.0
  ],
  [
    1783036800000,
    43000.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    2409195725.35
  ],
  [
    1782950400000,
    2643976690.0
  ],
  [
    1783036800000,
    2688617570.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.203,
    "date": "2026-06-30",
    "high": 1.34,
    "open": 1.29,
    "close": 1.24,
    "volume": 435200
  },
  {
    "low": 1.2,
    "date": "2026-07-01",
    "high": 1.34,
    "open": 1.2,
    "close": 1.27,
    "volume": 431100
  },
  {
    "low": 1.3,
    "date": "2026-07-02",
    "high": 1.35,
    "open": 1.34,
    "close": 1.324,
    "volume": 676600
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -17.25,
  "six_month_return": -48.68,
  "three_month_return": -29.95
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/metaplanet-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 158.5,
  "total_btc_percentage": 0.205,
  "share_price_change_state": "down"
}